aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--coin/platform_configs/default.yaml4
-rwxr-xr-xcoin/provisioning/common/macos/python3.sh20
-rw-r--r--coin/provisioning/common/windows/conan.ps186
-rw-r--r--coin/provisioning/common/windows/python3.ps18
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.4-x86_64/04-install-packages.sh4
-rwxr-xr-xcoin/provisioning/qtci-linux-SLES-12-x86_64/02-enable-modules.sh50
-rwxr-xr-xcoin/provisioning/qtci-linux-SLES-15-x86_64/02-enable-modules.sh48
-rw-r--r--coin/provisioning/qtci-windows-10-x86/11-conan.ps116
-rw-r--r--coin/provisioning/qtci-windows-10-x86_64/11-conan.ps152
-rw-r--r--coin/provisioning/qtci-windows-7-x86/11-conan.ps110
10 files changed, 134 insertions, 164 deletions
diff --git a/coin/platform_configs/default.yaml b/coin/platform_configs/default.yaml
index c59e04c0..1ec02200 100644
--- a/coin/platform_configs/default.yaml
+++ b/coin/platform_configs/default.yaml
@@ -11,7 +11,7 @@
Template: 'qtci-windows-10-x86_64-16'
Target arch: 'x86'
Compiler: 'MSVC2017'
- Features: ['Packaging']
+ Features: ['Packaging', 'InsignificantTests']
Configure arguments: '-opensource -confirm-license -verbose -prefix c:\Users\qt\work\install -debug-and-release -release -force-debug-info -nomake tests -opengl dynamic -nomake examples -openssl -I %OPENSSL_INCLUDE_x86% -L %OPENSSL_LIB_x86% -no-sql-mysql -plugin-sql-sqlite -plugin-sql-odbc -I %MYSQL_INCLUDE_x86% -L %MYSQL_LIB_x86% -plugin-sql-psql -I %POSTGRESQL_INCLUDE_x86% -L %POSTGRESQL_LIB_x86%'
-
Template: 'qtci-windows-10-x86_64-16'
@@ -35,7 +35,7 @@
-
Template: 'qtci-windows-10-x86_64-16'
Compiler: 'MSVC2017'
- Features: ['Packaging']
+ Features: ['Packaging', 'InsignificantTests']
Configure arguments: '-opensource -confirm-license -verbose -prefix c:\Users\qt\work\install -debug-and-release -release -force-debug-info -nomake tests -opengl dynamic -nomake examples -openssl -I %OPENSSL_INCLUDE_x64% -L %OPENSSL_LIB_x64% -no-sql-mysql -plugin-sql-sqlite -plugin-sql-odbc -I %MYSQL_INCLUDE_x64% -L %MYSQL_LIB_x64% -plugin-sql-psql -I %POSTGRESQL_INCLUDE_x64% -L %POSTGRESQL_LIB_x64%'
-
Template: 'qtci-windows-10-x86_64-16'
diff --git a/coin/provisioning/common/macos/python3.sh b/coin/provisioning/common/macos/python3.sh
index 35bccc93..185c3b01 100755
--- a/coin/provisioning/common/macos/python3.sh
+++ b/coin/provisioning/common/macos/python3.sh
@@ -2,7 +2,7 @@
#############################################################################
##
-## Copyright (C) 2017 The Qt Company Ltd.
+## Copyright (C) 2019 The Qt Company Ltd.
## Copyright (C) 2017 Pelagicore AG
## Contact: http://www.qt.io/licensing/
##
@@ -43,23 +43,23 @@ source "${BASH_SOURCE%/*}/../unix/SetEnvVar.sh"
# shellcheck source=./pip.sh
source "${BASH_SOURCE%/*}/pip.sh"
-PrimaryUrl="http://ci-files01-hki.intra.qt.io/input/mac/python-3.6.1-macosx10.6.pkg"
-AltUrl="https://www.python.org/ftp/python/3.6.1/python-3.6.1-macosx10.6.pkg"
-SHA1="ae0c749544c2d573c3cc29c4c2d7d9a595db28f9"
+PrimaryUrl="http://ci-files01-hki.intra.qt.io/input/mac/python-3.7.4-macosx10.9.pkg"
+AltUrl="https://www.python.org/ftp/python/3.7.4/python-3.7.4-macosx10.9.pkg"
+SHA1="ef8a6b1abba6a6e8553916a881af440705653fa8"
DestDir="/"
InstallPKGFromURL "$PrimaryUrl" "$AltUrl" "$SHA1" "$DestDir"
-InstallPip python3.6
+InstallPip python3.7
-/Library/Frameworks/Python.framework/Versions/3.6/bin/pip3 install virtualenv wheel
+/Library/Frameworks/Python.framework/Versions/3.7/bin/pip3 install virtualenv wheel
-SetEnvVar "PYTHON3_PATH" "/Library/Frameworks/Python.framework/Versions/3.6/bin"
-SetEnvVar "PIP3_PATH" "/Library/Frameworks/Python.framework/Versions/3.6/bin"
+SetEnvVar "PYTHON3_PATH" "/Library/Frameworks/Python.framework/Versions/3.7/bin"
+SetEnvVar "PIP3_PATH" "/Library/Frameworks/Python.framework/Versions/3.7/bin"
# Install all needed packages in a special wheel cache directory
-/Library/Frameworks/Python.framework/Versions/3.6/bin/pip3 wheel --wheel-dir $HOME/python3-wheels -r ${BASH_SOURCE%/*}/../shared/requirements.txt
+/Library/Frameworks/Python.framework/Versions/3.7/bin/pip3 wheel --wheel-dir $HOME/python3-wheels -r ${BASH_SOURCE%/*}/../shared/requirements.txt
SetEnvVar "PYTHON3_WHEEL_CACHE" "$HOME/python3-wheels"
-echo "python3 = 3.6.1" >> ~/versions.txt
+echo "python3 = 3.7.4" >> ~/versions.txt
diff --git a/coin/provisioning/common/windows/conan.ps1 b/coin/provisioning/common/windows/conan.ps1
index c5984e26..1e4f14e1 100644
--- a/coin/provisioning/common/windows/conan.ps1
+++ b/coin/provisioning/common/windows/conan.ps1
@@ -1,7 +1,6 @@
-#############################################################################
+############################################################################
##
-## Copyright (C) 2019 The Qt Company Ltd.
-## Copyright (C) 2019 Konstantin Tokarev <annulen@yandex.ru>
+## Copyright (C) 2021 The Qt Company Ltd.
## Contact: http://www.qt.io/licensing/
##
## This file is part of the provisioning scripts of the Qt Toolkit.
@@ -30,75 +29,26 @@
##
## $QT_END_LICENSE$
##
-#############################################################################
+############################################################################
. "$PSScriptRoot\helpers.ps1"
-$scriptsPath = "C:\Python36\Scripts"
+# This is temporary solution for installing packages provided by Conan until we have fixed Conan setup for this
-Run-Executable "$scriptsPath\pip3.exe" "install -r $PSScriptRoot\conan_requirements.txt"
-Write-Output "Conan = 1.22.2" >> ~\versions.txt
+$url_conan = "\\ci-files01-hki.intra.qt.io\provisioning\windows\.conan.zip"
+$url_conan_home = "\\ci-files01-hki.intra.qt.io\provisioning\windows\.conanhome.zip"
+$sha1_conan_compressed = "1abbe43e7a29ddd9906328702b5bc5231deeb721"
+$sha1_conanhome_compressed = "f44c2ae21cb1c7dc139572e399b7b0eaf492af03"
+$conan_compressed = "C:\.conan.zip"
+$conanhome_compressed = "C:\.conanhome.zip"
-# Use Qt Project repository by default
-Run-Executable "$scriptsPath\conan.exe" "remote add qtproject https://api.bintray.com/conan/qtproject/conan --insert --force"
+Download $url_conan $url_conan $conan_compressed
+Verify-Checksum $conan_compressed $sha1_conan_compressed
+Extract-7Zip $conan_compressed C:\
-Set-EnvironmentVariable "CI_CONAN_BUILDINFO_DIR" "C:\Utils\conanbuildinfos"
+Download $url_conan_home $url_conan_home $conanhome_compressed
+Verify-Checksum $conanhome_compressed $sha1_conanhome_compressed
+Extract-7Zip $conanhome_compressed C:\Users\qt
-function Run-Conan-Install
-{
- Param (
- [string]$ConanfilesDir,
- [string]$BuildinfoDir,
- [string]$Arch,
- [string]$Compiler,
- [string]$CompilerVersion,
- [string]$CompilerRuntime,
- [string]$CompilerLibcxx,
- [string]$CompilerException,
- [string]$CompilerThreads
- )
-
- if ($CompilerRuntime) {
- $extraArgs += " -s compiler.runtime=$CompilerRuntime"
- }
-
- if ($CompilerLibcxx) {
- $extraArgs += " -s compiler.libcxx=$CompilerLibcxx"
- }
-
- if ($CompilerException) {
- $extraArgs += " -s compiler.exception=$CompilerException"
- }
-
- if ($CompilerThreads) {
- $extraArgs += " -s compiler.threads=$CompilerThreads"
- }
-
- $manifestsDir = "$PSScriptRoot\conan_manifests"
- $buildinfoRoot = "C:\Utils\conanbuildinfos"
-
- Get-ChildItem -Path "$ConanfilesDir\*.txt" |
- ForEach-Object {
- $conanfile = $_.FullName
- $outpwd = "$buildinfoRoot\$BuildinfoDir\$($_.BaseName)"
- New-Item $outpwd -Type directory -Force | Out-Null
-
- for ($i = 1; $i -le 5; $i++) {
- try {
- Push-Location $outpwd
- Run-Executable "$scriptsPath\conan.exe" "install --no-imports --verify $manifestsDir", `
- '-s', ('compiler="' + $Compiler + '"'), `
- "-s os=Windows -s arch=$Arch -s compiler.version=$CompilerVersion $extraArgs $conanfile"
- break;
- } catch {
- if ($i -eq 5) {
- throw "Could not install conan content"
- }
- } finally {
- Pop-Location
- }
- }
-
- Copy-Item -Path $conanfile -Destination "$outpwd\conanfile.txt"
- }
-}
+Remove $conan_compressed
+Remove $conanhome_compressed
diff --git a/coin/provisioning/common/windows/python3.ps1 b/coin/provisioning/common/windows/python3.ps1
index c05c022c..23829595 100644
--- a/coin/provisioning/common/windows/python3.ps1
+++ b/coin/provisioning/common/windows/python3.ps1
@@ -1,6 +1,6 @@
#############################################################################
##
-## Copyright (C) 2017 The Qt Company Ltd.
+## Copyright (C) 2021 The Qt Company Ltd.
## Copyright (C) 2017 Pelagicore AG
## Contact: http://www.qt.io/licensing/
##
@@ -40,7 +40,7 @@ param(
)
. "$PSScriptRoot\helpers.ps1"
-$version = "3.6.1"
+$version = "3.6.2"
$package = "C:\Windows\temp\python-$version.exe"
# check bit version
@@ -48,11 +48,11 @@ if ( $archVer -eq 64 ) {
Write-Host "Installing 64 bit Python"
$externalUrl = "https://www.python.org/ftp/python/$version/python-$version-amd64.exe"
$internalUrl = "http://ci-files01-hki.intra.qt.io/input/windows/python-$version-amd64.exe"
- $sha1 = "bf54252c4065b20f4a111cc39cf5215fb1edccff"
+ $sha1 = "bcf9bda733a9153811209c62d628c41ab6cedbe2"
} else {
$externalUrl = "https://www.python.org/ftp/python/$version/python-$version.exe"
$internalUrl = "http://ci-files01-hki.intra.qt.io/input/windows/python-$version.exe"
- $sha1 = "76c50b747237a0974126dd8b32ea036dd77b2ad1"
+ $sha1 = "cd9744b142eca832f9534390676e6cfb84bf655d"
}
Write-Host "Fetching from URL..."
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/04-install-packages.sh b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/04-install-packages.sh
index b956d6a3..e0810b74 100755
--- a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/04-install-packages.sh
+++ b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/04-install-packages.sh
@@ -2,7 +2,7 @@
#############################################################################
##
-## Copyright (C) 2017 The Qt Company Ltd.
+## Copyright (C) 2021 The Qt Company Ltd.
## Contact: http://www.qt.io/licensing/
##
## This file is part of the provisioning scripts of the Qt Toolkit.
@@ -122,7 +122,7 @@ sudo ln -s /opt/rh/rh-python36/root/usr/bin/python3 /usr/local/bin/python3
sudo ln -s /opt/rh/rh-python36/root/usr/bin/pip3 /usr/local/bin/pip3
# We shouldn't use yum to install virtualenv. The one found from package repo is not
# working, but we can use installed pip
-sudo pip install --upgrade pip
+sudo pip install --upgrade "pip < 21.0"
sudo pip install virtualenv wheel
sudo /usr/local/bin/pip3 install wheel
diff --git a/coin/provisioning/qtci-linux-SLES-12-x86_64/02-enable-modules.sh b/coin/provisioning/qtci-linux-SLES-12-x86_64/02-enable-modules.sh
new file mode 100755
index 00000000..2d6c2044
--- /dev/null
+++ b/coin/provisioning/qtci-linux-SLES-12-x86_64/02-enable-modules.sh
@@ -0,0 +1,50 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2021 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+set -e
+
+curl --retry 5 --retry-delay 10 --retry-max-time 60 http://ci-files01-hki.intra.qt.io/input/semisecure/suse_rk.sh -o "/tmp/suse_rk.sh" &>/dev/null
+sudo chmod 755 /tmp/suse_rk.sh
+/tmp/suse_rk.sh
+
+# Activate these modules
+# sudo SUSEConnect -p PackageHub/12.4/x86_64
+sudo SUSEConnect -p sle-module-toolchain/12/x86_64
+sudo SUSEConnect -p sle-sdk/12.4/x86_64
+sudo SUSEConnect -p sle-module-legacy/12/x86_64
+# This is needed by Nodejs and QtWebEngine
+sudo SUSEConnect -p sle-module-web-scripting/12/x86_64
+
+sudo rm -f /tmp/suse_rk.sh
diff --git a/coin/provisioning/qtci-linux-SLES-15-x86_64/02-enable-modules.sh b/coin/provisioning/qtci-linux-SLES-15-x86_64/02-enable-modules.sh
new file mode 100755
index 00000000..0de056b6
--- /dev/null
+++ b/coin/provisioning/qtci-linux-SLES-15-x86_64/02-enable-modules.sh
@@ -0,0 +1,48 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2021 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+set -e
+
+curl --retry 5 --retry-delay 10 --retry-max-time 60 http://ci-files01-hki.intra.qt.io/input/semisecure/suse_rk.sh -o "/tmp/suse_rk.sh" &>/dev/null
+sudo chmod 755 /tmp/suse_rk.sh
+/tmp/suse_rk.sh
+
+# Activate these modules
+sudo SUSEConnect -p sle-module-desktop-applications/15/x86_64
+sudo SUSEConnect -p sle-module-development-tools/15/x86_64
+# This is needed by Nodejs and QtWebEngine
+sudo SUSEConnect -p sle-module-web-scripting/15/x86_64
+
+sudo rm -f /tmp/suse_rk.sh
diff --git a/coin/provisioning/qtci-windows-10-x86/11-conan.ps1 b/coin/provisioning/qtci-windows-10-x86/11-conan.ps1
index d33ceea8..6215f9e4 100644
--- a/coin/provisioning/qtci-windows-10-x86/11-conan.ps1
+++ b/coin/provisioning/qtci-windows-10-x86/11-conan.ps1
@@ -1,17 +1 @@
. "$PSScriptRoot\..\common\windows\conan.ps1"
-
-Run-Conan-Install `
- -ConanfilesDir "$PSScriptRoot\conanfiles" `
- -BuildinfoDir MSVC2015-x86 `
- -Arch x86 `
- -Compiler "Visual Studio" `
- -CompilerVersion 14 `
- -CompilerRuntime MD
-
-Run-Conan-Install `
- -ConanfilesDir "$PSScriptRoot\conanfiles" `
- -BuildinfoDir MSVC2017-x86 `
- -Arch x86 `
- -Compiler "Visual Studio" `
- -CompilerVersion 15 `
- -CompilerRuntime MD
diff --git a/coin/provisioning/qtci-windows-10-x86_64/11-conan.ps1 b/coin/provisioning/qtci-windows-10-x86_64/11-conan.ps1
index 4a7414d1..6215f9e4 100644
--- a/coin/provisioning/qtci-windows-10-x86_64/11-conan.ps1
+++ b/coin/provisioning/qtci-windows-10-x86_64/11-conan.ps1
@@ -1,53 +1 @@
. "$PSScriptRoot\..\common\windows\conan.ps1"
-
-Run-Conan-Install `
- -ConanfilesDir "$PSScriptRoot\conanfiles" `
- -BuildinfoDir MSVC2015-x86_64 `
- -Arch x86_64 `
- -Compiler "Visual Studio" `
- -CompilerVersion 14 `
- -CompilerRuntime MD
-
-Run-Conan-Install `
- -ConanfilesDir "$PSScriptRoot\conanfiles" `
- -BuildinfoDir MSVC2015-x86 `
- -Arch x86 `
- -Compiler "Visual Studio" `
- -CompilerVersion 14 `
- -CompilerRuntime MD
-
-Run-Conan-Install `
- -ConanfilesDir "$PSScriptRoot\conanfiles" `
- -BuildinfoDir MSVC2017-x86_64 `
- -Arch x86_64 `
- -Compiler "Visual Studio" `
- -CompilerVersion 15 `
- -CompilerRuntime MD
-
-Run-Conan-Install `
- -ConanfilesDir "$PSScriptRoot\conanfiles" `
- -BuildinfoDir MSVC2017-x86 `
- -Arch x86 `
- -Compiler "Visual Studio" `
- -CompilerVersion 15 `
- -CompilerRuntime MD
-
-Run-Conan-Install `
- -ConanfilesDir "$PSScriptRoot\conanfiles" `
- -BuildinfoDir Mingw73-x86 `
- -Arch x86 `
- -Compiler "gcc" `
- -CompilerVersion 8 `
- -CompilerLibcxx "libstdc++" `
- -CompilerException "dwarf2" `
- -CompilerThreads "posix"
-
-Run-Conan-Install `
- -ConanfilesDir "$PSScriptRoot\conanfiles" `
- -BuildinfoDir Mingw-x86_64 `
- -Arch x86_64 `
- -Compiler "gcc" `
- -CompilerVersion 8 `
- -CompilerLibcxx "libstdc++" `
- -CompilerException "seh" `
- -CompilerThreads "posix"
diff --git a/coin/provisioning/qtci-windows-7-x86/11-conan.ps1 b/coin/provisioning/qtci-windows-7-x86/11-conan.ps1
index 1d928ffa..6215f9e4 100644
--- a/coin/provisioning/qtci-windows-7-x86/11-conan.ps1
+++ b/coin/provisioning/qtci-windows-7-x86/11-conan.ps1
@@ -1,11 +1 @@
. "$PSScriptRoot\..\common\windows\conan.ps1"
-
-Run-Conan-Install `
- -ConanfilesDir "$PSScriptRoot\conanfiles" `
- -BuildinfoDir Mingw-x86 `
- -Arch x86 `
- -Compiler "gcc" `
- -CompilerVersion 8 `
- -CompilerLibcxx "libstdc++" `
- -CompilerException "dwarf2" `
- -CompilerThreads "posix"